<?php
/**
* @version 1.0.0
* @package RStickets! 1.0.0
* @copyright (C) 2007-2008 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

//PRODUCT INFO - DO NOT CHANGE
DEFINE('RST_PRODUCT','RStickets!');
DEFINE('RST_VERSION','1.0.0');
DEFINE('RST_KEY','8TIK5J3908');
DEFINE('RST_COPYRIGHT','&copy;2007-2008 www.rsjoomla.com');
DEFINE('RST_LICENSE','GPL Commercial License');
DEFINE('RST_AUTHOR','<a href="http://www.rsjoomla.com" target="_blank">www.rsjoomla.com</a>');
DEFINE('RST_WEBSITE','http://www.rsjoomla.com/index.php');


//TOOLBAR
DEFINE('RST_BACKEND_TOOLBAR_MAIN','RStickets');
DEFINE('RST_BACKEND_TOOLBAR_SUPPORT','Support');
DEFINE('RST_BACKEND_TOOLBAR_CLOSE','Close');
DEFINE('RST_BACKEND_TOOLBAR_SAVE','Save');

//CONTROL PANEL
DEFINE('RST_BACKEND_CPANEL_CONFIGURATION_EDIT','Configuration');
DEFINE('RST_BACKEND_CPANEL_UPDATES_MANAGE','Check for Updates');
DEFINE('RST_BACKEND_CPANEL_SUPPORT','Support');  
DEFINE('RST_BACKEND_CPANEL_FRONTEND','Front-end');  
DEFINE('RST_BACKEND_CPANEL_DEPARTMENTS','Departments');  
DEFINE('RST_BACKEND_CPANEL_GROUPS','Groups');  
DEFINE('RST_BACKEND_CPANEL_STAFF','Staff Members');  
DEFINE('RST_BACKEND_CPANEL_TICKETS','Tickets');  

DEFINE('RST_VERSION_TITLE','Installed version:');
DEFINE('RST_AUTHOR_TITLE','Author:');
DEFINE('RST_CODE_TITLE','Please enter your code to receive updates');
DEFINE('RST_REGISTER','Update Code');
DEFINE('RST_REGISTER_MODIFY','Modify Code');

//INSTALLER
DEFINE('RST_INSTALLER_TABLES_OK','<font color="green"><b>Success</b></font>, RStickets! Tables Created<br/>');
DEFINE('RST_INSTALLER_XML_OK','');
DEFINE('RST_INSTALLER_PLUGIN_OK','<font color="green"><b>Success</b></font>, %s Plugin Added<br/>');
DEFINE('RST_INSTALLER_MODULE_OK','<font color="green"><b>Success</b></font>, %s Module Added<br/>');
DEFINE('RST_INSTALLER_PERMISSIONS_OK','<font color="green"><b>Success</b></font>, Permissions changed to directory %s to %s<br/>');
DEFINE('RST_INSTALLER_DB_OK','<font color="green"><b>Success</b></font>, Database Updated<br/>');

DEFINE('RST_INSTALLER_TABLES_ERROR','<font color="red"><b>Error</b></font>, RStickets! Tables were not created properly:<br/>%s<br/>');
DEFINE('RST_INSTALLER_PLUGIN_ERROR','<font color="red"><b>Error</b></font>, Could not add plugin. Error:<br/>%s<br/>');
DEFINE('RST_INSTALLER_XML_ERROR','<font color="red"><b>Error</b></font>, Could not add xml file. Error:<br/>%s<br/>');
DEFINE('RST_INSTALLER_MODULE_ERROR','<font color="red"><b>Error</b></font>, Could not add module. Error:<br/>%s<br/>');
DEFINE('RST_INSTALLER_PERMISSIONS_ERROR','<font color="red"><b>Error</b></font>, Permissions could not be changed for %s. Please set them manually to %s<br/>');
DEFINE('RST_INSTALLER_DB_ERROR','<font color="red"><b>Error</b></font>, Database could not be Updated:<br/>%s<br/>');
DEFINE('RST_INSTALLER_WELCOME','<b>RStickets! 1.0.0 Component for Joomla!</b><br/>
&copy; 2007-2008 by <a href="http://www.rsjoomla.com" target="_blank">http://www.rsjoomla.com</a><br/>
All rights reserved.
<br/><br/>
This Joomla! Component has been released under a GPL Commercial License.<br/>
<br/><br/>

<b>Visit <a href="http://www.rsjoomla.com/index.php/Customer-Support.html" target="_blank">http://www.rsjoomla.com/index.php/Customer-Support.html</a> - for common issues, tech support, user manual, additional downloads and up to date knowledge base articles related to RStickets!.</b><br/><br/>

Thank you for using RStickets!.
<br/><br/>
The rsjoomla.com team.
<br/><br/>');


//MAIN SCREEN

DEFINE('RST_CODE_TRYOUT','After typing your code please follow the <a href="?option=com_rstickets&task=updates.manage">updates procedure</a> in order to remove the tryout link');

DEFINE('RST_FRONTEND_THANKYOU','The form has been submitted successfully. Thank you!');
DEFINE('RST_FRONTEND_THANKYOU_BUTTON','<br/><input type="button" name="continue" value="Continue" onclick="%s"/>');

//UPDATES

DEFINE('RST_BACKEND_UPDATESMANAGE_INSTRUCTIONS','<h2>Updates Instructions</h2>
<ul>
	<li>Whenever we release a new update, you are able to download it directly from this screen. Save the file on your computer, then click on Browse, and then install the update.</li>
</ul>');
DEFINE("RST_BACKEND_UPDATESMANAGE_BUTTON","Update");
DEFINE('RST_BACKEND_UPDATECHECK_OK','Success');
DEFINE('RST_BACKEND_UPDATECHECK_NOINSTALL','Please select a valid file.');
DEFINE('RST_BACKEND_UPDATECHECK_BADFILE','The file you selected is not valid.');
DEFINE('RST_BACKEND_UPDATECHECK_STATUSRSTBACKUP','Backup loaded.');
DEFINE('RST_BACKEND_UPDATECHECK_STATUSRSTUPDATE','The component was updated.');
DEFINE('RST_BACKEND_UPDATECHECK_STATUSRSTPLUGIN','Plugin loaded.');

DEFINE('RST_BACKEND_UPDATESMANAGE_UPDATE_TITLE','Upload Package File');
DEFINE('RST_BACKEND_UPDATESMANAGE_UPDATE_FILE','Package File:');
DEFINE('RST_BACKEND_UPDATESMANAGE_WRITABLE','(<font color="green"><b>WRITABLE</b></font>)');
DEFINE('RST_BACKEND_UPDATESMANAGE_NOTWRITABLE','(<font color="red"><b>NOT WRITABLE</b></font>)');
DEFINE('RST_BACKEND_UPDATESMANAGE_PERMISSIONS','Please set writable permissions to the folders above and their enclosed items. You must use your ftp client and set permissions to 777 in order to make the folders writable.');



// en_US
// DEFINE THE LANGUAGE CONSTANTS
DEFINE('RST_TITLE','RSjoomla! Customer Support');

// EMAIL TEMPLATES
// THE TOP EMAIL TEMPLATE - INCLUDED WITH EVERY EMAIL SENT BY THE TICKETING SYSTEM
DEFINE('RST_TEMPLATE_TOP','<html><head><title>RSTickets!</title></head><body>');
// THE BOTTOM EMAIL TEMPLATE - INCLUDED WITH EVERY EMAIL SENT BY THE TICKETING SYSTEM
DEFINE('RST_TEMPLATE_BOTTOM','</body></html>');
// NEW USER EMAIL TEMPLATE
// {username} - The new user's username
// {password} - His passsword
// these variables are automatically replaced by the script
DEFINE('RST_NEW_USER','<p>Here are your login details:</p>
		<p>Username: <strong>{username}</strong></p>
		<p>Password: <strong>{password}</strong></p>
		<p>Please note that this is your temporary password. You can login and change it at any time.</p>
		<p> Please log in to <br/><br/>
		  <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=my_tickets">My Tickets</a> in order to view the status of your support request.</p>');
// NEW USER EMAIL SUBJECT
DEFINE('RST_NEW_USER_SUBJECT','Your account');
// NEW TICKET ADDED -> THE EMAIL TEMPLATE THE CUSTOMER WILL RECEIVE
// {fullname} - The customer's full name
// {message} - The ticket body
// these variables are automatically replaced by the script
DEFINE('RST_ADD_TICKET_CUSTOMER','{reply_above}<br />Please do not reply to this email.<br /><br />Dear {fullname},<br/>
		  a new ticket has been created. Please log in to  <br/><br/>
		  <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=my_tickets">My Tickets</a> in order to view the status of your support request.
		  <p>----------------------------------------------</p>'.
		  '<p>This is a copy of your ticket.</p>
		  <p>------------------------------</p>
		  <p>{custom_fields}</p>
		  <p>{fullname}:<br />{message}</p>
		  <p>------------------------------</p>');

// NEW TICKET ADDED -> THE EMAIL TEMPLATE THE STAFF WILL RECEIVE
// {fullname} - The customer's full name
// {message} - The ticket body
// these variables are automatically replaced by the script
DEFINE('RST_ADD_TICKET_STAFF','{reply_above}<br />Please do not reply to this email.<br /><p>This is a new ticket from {fullname}. Please log in to <br/><br/>
		   <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=my_tickets">My Tickets</a> in order to view the status of your support request.</p>
		  <p>------------------------------</p>
		  <p>{custom_fields}</p>
		  <p>{fullname}:<br />{message}</p>
		  <p>------------------------------</p>');

// NEW REPLY ADDED -> THE EMAIL TEMPLATE THE CUSTOMER WILL RECEIVE
// {fullname} - The staff's full name
// {message} - The reply body
// these variables are automatically replaced by the script  
DEFINE('RST_ADD_TICKET_REPLY_CUSTOMER','{reply_above}<br />Please do not reply to this email.<br /><p>This is a new reply from {fullname}. Please do not reply to this email. Please log in to <br/><br/>
		  <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=my_tickets">My Tickets</a> in order to view the status of your support request.</p>
		<p>------------------------------</p>
		<p>{fullname}:<br />{message}</p>
		<p>------------------------------</p>');

// NEW REPLY ADDED -> THE EMAIL TEMPLATE THE STAFF WILL RECEIVE
// {fullname} - The customer's full name
// {message} - The reply body
// these variables are automatically replaced by the script  
DEFINE('RST_ADD_TICKET_REPLY_STAFF','{reply_above}<br />Please reply above this line.<br /><p>This is a new reply from {fullname}. Please do not reply to this email. Please log in to <br/><br/>
		  <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=my_tickets">My Tickets</a> in order to view the status of your support request.</p>
		<p>------------------------------</p>
		<p>{fullname}:<br />{message}</p>
		<p>------------------------------</p>');
		
// NOTIFY A CUSTOMER IF HIS TICKET WENT INTO OVERDUE STATUS
// THIS HAPPENS IF AUTOCLOSE IS CONFIGURED
// THE EMAIL TEMPLATE SUBJECT
// {email_interval} - The number of days passed since customer's last reply
// these variables are automatically replaced by the script  
DEFINE('RST_NOTIFICATION_EMAIL_SUBJECT','Your ticket had no activity for {email_interval} days');
// THE EMAIL TEMPLATE
// {subject} - The ticket's subject
// {email_interval} - The number of days passed since customer's last reply
// {close_interval) - The number of days left until the ticket is autoclosed
// these variables are automatically replaced by the script  
DEFINE('RST_NOTIFICATION_EMAIL','<p>Your ticket with subject &quot;{subject}&quot; had no activity for {email_interval} days.</p>
		<p>It will be automatically closed in {close_interval} days if no additional action is performed.</p>
		Please log in to <br/><br/>
		  <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=my_tickets">My Tickets</a> in order to view the status of your support request.');
// REJECT AN EMAIL IF CURRENT SETTINGS DON'T ALLOW IT (ACCEPT EMAILS FROM: REGISTERED USERS OR NOBODY)
// {accept} - Accept tickets by email setting
// these variables are automatically replaced by the script  
DEFINE('RST_REJECT_EMAIL','<p>Your ticket has been rejected because current settings don\'t allow opening a ticket by e-mail.</p>
		<p>Currently we accept tickets from: {accept}</p>
		Please log in to <br/><br/>
		  <a href="{live_site}/index.php?option=com_rstickets">Our Support Center</a> <br/><br/>
		  and go to <a href="{live_site}/index.php?option=com_rstickets&page=add_ticket">Submit Ticket</a> to submit a new ticket.');
		
// BUTTON TEXTS
DEFINE('BTN_LOGIN','Login');
DEFINE('BTN_LOGOUT','Logout');
DEFINE('BTN_BACK','Back');
DEFINE('BTN_SEARCH','Search');
DEFINE('BTN_SAVE_SEARCH','Save Search');
DEFINE('BTN_DELETE','Delete');
DEFINE('BTN_EDIT','Edit');
DEFINE('BTN_SUBMIT','Submit');
DEFINE('BTN_UPDATE_SETTINGS','Update Settings');
DEFINE('BTN_UPDATE','Update');
DEFINE('BTN_CLOSE','Close');
DEFINE('BTN_FILTER','Filter');
DEFINE('BTN_RESET_SEARCH_FILTERS','Reset Search Filters');
DEFINE('BTN_NEW_CUSTOM_FIELD','Add a new custom field');
DEFINE('BTN_CLICK_REPLY','Click here to reply');
DEFINE('BTN_CLICK_ATTACHMENT','Click here to view attachment');
DEFINE('BTN_NOTIFY','Notify');
DEFINE('BTN_ADD_NOTE','Add Note');
DEFINE('BTN_VIEW_NOTE','View Note');
DEFINE('BTN_TEST_EMAIL_SETTINGS','Test Current Email Settings');
DEFINE('BTN_MOVE_TICKET','Move');
DEFINE('BTN_BUY_PLUGIN','Get this plugin');
DEFINE('BTN_INSTALL','Install');

// ARRAYS
global $status_array_lang, $priority_array_lang, $day_array_lang, $month_array_lang;

DEFINE('LBL_ANY','any');
// STATUS
DEFINE('LBL_OPEN','open');
DEFINE('LBL_ONHOLD','on-hold');
DEFINE('LBL_CLOSED','closed');
// PRIORITY
DEFINE('LBL_LOW','low');
DEFINE('LBL_NORMAL','normal');
DEFINE('LBL_HIGH','high');
// DATE
DEFINE('LBL_MONDAY','Monday');
DEFINE('LBL_TUESDAY','Tuesday');
DEFINE('LBL_WEDNESDAY','Wednesday');
DEFINE('LBL_THURSDAY','Thursday');
DEFINE('LBL_FRIDAY','Friday');
DEFINE('LBL_SATURDAY','Saturday');
DEFINE('LBL_SUNDAY','Sunday');

DEFINE('LBL_JANUARY','January');
DEFINE('LBL_FEBRUARY','February');
DEFINE('LBL_MARCH','March');
DEFINE('LBL_APRIL','April');
DEFINE('LBL_MAY','May');
DEFINE('LBL_JUNE','June');
DEFINE('LBL_JULY','July');
DEFINE('LBL_AUGUST','August');
DEFINE('LBL_SEPTEMBER','September');
DEFINE('LBL_OCTOBER','October');
DEFINE('LBL_NOVEMBER','November');
DEFINE('LBL_DECEMBER','December');

$status_array_lang = array('any' => LBL_ANY, 'open' => LBL_OPEN, 'on-hold' => LBL_ONHOLD, 'closed' => LBL_CLOSED);
$priority_array_lang = array('any' => LBL_ANY, 'low' => LBL_LOW, 'normal' => LBL_NORMAL, 'high' => LBL_HIGH);
$day_array_lang = array('1' => LBL_MONDAY, '2' => LBL_TUESDAY, '3' => LBL_WEDNESDAY, '4' => LBL_THURSDAY, '5' => LBL_FRIDAY, '6' => LBL_SATURDAY, '0' => LBL_SUNDAY); // w
$month_array_lang = array('1' => LBL_JANUARY, '2' => LBL_FEBRUARY, '3' => LBL_MARCH, '4' => LBL_APRIL, '5' => LBL_MAY, '6' => LBL_JUNE, '7' => LBL_JULY, '8' => LBL_AUGUST, '9' => LBL_SEPTEMBER, '10' => LBL_OCTOBER, '11' => LBL_NOVEMBER, '12' => LBL_DECEMBER); // n

// LABEL TEXTS
DEFINE('LBL_USERNAME','Username: ');
DEFINE('LBL_PASSWORD','Password: ');
DEFINE('LBL_LOGIN_OK','Welcome back');
DEFINE('LBL_SUBMIT_TICKET','Submit Ticket');
DEFINE('LBL_MANAGE_DEPARTMENTS','Departments');
DEFINE('LBL_MANAGE_GROUPS','Groups');
DEFINE('LBL_MANAGE_STAFF','Staff');
DEFINE('LBL_MY_TICKETS','My Tickets');
DEFINE('LBL_TICKETS','Tickets');
DEFINE('LBL_SETTINGS','Settings');
DEFINE('LBL_CAPTCHA','CAPTCHA');
DEFINE('LBL_NO_CAPTCHA','CAPTCHA is disabled because the GD library was not found on your PHP installation.');
DEFINE('LBL_DISPLAY_CAPTCHA_FOR','Display CAPTCHA for');
DEFINE('LBL_CUSTOMERS','Customers');
DEFINE('LBL_UNREGISTERED','Unregistered');
DEFINE('LBL_ANTISPAM_ICASE','Write the code <br /> (case insensitive)');
DEFINE('LBL_ANTISPAM_CASE','Write the code <br /> (case sensitive)');
DEFINE('LBL_TICKETS_LISTINGS','Tickets Listings');
DEFINE('LBL_DATE_SETTINGS','Date Format');
DEFINE('LBL_AUTOCLOSE_SETTINGS','Autoclose');
DEFINE('LBL_PLUGINS','Plugins');
DEFINE('LBL_REPLY_ABOVE','Messages will be parsed above this line');
DEFINE('LBL_AUTOCLOSE_MESSAGE','To turn off the autoclose feature, please set both autoclose days to 0.');
DEFINE('LBL_AUTOCLOSE_CRON_INTERVAL','Check for tickets marked for autoclosing every (minutes)');
DEFINE('LBL_AUTOCLOSE_EMAIL_INTERVAL','Days a ticket should go into autoclose status');
DEFINE('LBL_AUTOCLOSE_INTERVAL','Days a ticket should be autoclosed (after notification is sent)');
DEFINE('LBL_CRON_TYPE','Cron Type');
DEFINE('LBL_CRON_TYPE_MANUAL','Manual (cron task)');
DEFINE('LBL_CRON_TYPE_AUTOMATIC','Automatic (handled by script)');
DEFINE('LBL_CRON_INTERVAL','Cron Check Interval (minutes)');
DEFINE('LBL_ACCEPT_NEW_TICKETS','Accepting new tickets by e-mail from');
DEFINE('LBL_ASSIGN_TO_DEPARTMENT','New tickets are assigned to this department');
DEFINE('LBL_SERVER_PORT','Server Port');
DEFINE('LBL_SERVER_ADDRESS','Server Address');
DEFINE('LBL_SERVER_PROTOCOL','Email Protocol');
DEFINE('LBL_SERVER_SECURITY','Use a secure connection (SSL) ?');
DEFINE('LBL_STAFF_FRONTEND','Staff Frontend');
DEFINE('LBL_CUSTOMER_FRONTEND','Customer Frontend');
DEFINE('LBL_DATE_TIME','Date');
DEFINE('LBL_SELECT_DEPARTMENT','Please select a department');
DEFINE('LBL_SUBJECT','Subject');
DEFINE('LBL_MESSAGE','Message');
DEFINE('LBL_SUBMIT_NEW_TICKET','Submit a new ticket');
DEFINE('LBL_YOUR_EMAIL','Your E-mail');
DEFINE('LBL_YOUR_FULLNAME','Your Full Name');
DEFINE('LBL_DEPARTMENT','Department');
DEFINE('LBL_DEPARTMENTS','Departments');
DEFINE('LBL_DEPARTMENTS_DESC','<em>Hold Ctrl key to select multiple departments<em>');
DEFINE('LBL_GROUPS','Groups');
DEFINE('LBL_PLEASE_DEPARTMENT','Please select a department');
DEFINE('LBL_CUSTOM_FIELDS','Custom Fields');
DEFINE('LBL_SUBMITTER_INFO','Ticket Submitter Info');
DEFINE('LBL_USER_AGENT','User-Agent');
DEFINE('LBL_HTTP_REFERER','Referer');
DEFINE('LBL_REMOTE_ADDR','Remote Address');
DEFINE('LBL_WAS_LOGGED','Was logged in ?');
DEFINE('LBL_PRIORITY','Priority');
DEFINE('LBL_STATUS','Status');
DEFINE('LBL_TICKET_CODE','Ticket Code');
DEFINE('LBL_ATTACHMENT','Attachment');
DEFINE('LBL_ATTACHMENT_EXT','Valid extensions: ');
DEFINE('LBL_ADVANCED_SEARCH','Advanced Search');
DEFINE('LBL_ADVANCED_SEARCH_IN_TICKETS','Advanced Search In Tickets');
DEFINE('LBL_ADVANCED_SEARCH_IN_MY_TICKETS','Advanced Search In My Tickets');
DEFINE('LBL_SEARCH_BY_USERS','Search by Users');
DEFINE('LBL_SEARCH_BY_TICKET_PROPERTIES','Search by Ticket Properties');
DEFINE('LBL_SEARCH_BY_DATE_RANGE','Search by Date Range');
DEFINE('LBL_FROM','From');
DEFINE('LBL_TO','To');
DEFINE('LBL_STAFF_USERNAME',"Staff's Username");
DEFINE('LBL_STAFF_FULLNAME',"Staff's Fullname");
DEFINE('LBL_STAFF_EMAIL',"Staff's E-mail");
DEFINE('LBL_CUSTOMER_USERNAME',"Customer's Username");
DEFINE('LBL_CUSTOMER_FULLNAME',"Customer's Fullname");
DEFINE('LBL_CUSTOMER_EMAIL',"Customer's E-mail");

DEFINE('LBL_NEW_DEPARTMENT','New department');
DEFINE('LBL_NEW_STAFF','New staff member');
DEFINE('LBL_NEW_GROUP','New group');
DEFINE('LBL_EDIT_DEPARTMENT','Edit an existing department');
DEFINE('LBL_DEPARTMENT_PROPERTIES','Department properties');
DEFINE('LBL_EDIT_GROUP','Edit an existing group');
DEFINE('LBL_EDIT_STAFF','Edit an existing staff member');
DEFINE('LBL_GROUP_PROPERTIES','Group properties');
DEFINE('LBL_STAFF_PROPERTIES','Staff member properties');
DEFINE('LBL_NAME','Name');
DEFINE('LBL_FULLNAME','Full Name');
DEFINE('LBL_GENERAL','General');
DEFINE('LBL_LICENSE','Please add your code to recieve updates');
DEFINE('LBL_RSTICKETS_LINK','Show RStickets! Link in Footer');
DEFINE('LBL_RSTICKETS_SHOW_MENU','Show RStickets! Menu');
DEFINE('LBL_RSTICKETS_ADD_TICKETS','Receive Tickets from');
DEFINE('LBL_RSTICKETS_MYSQL_UTF8','Use UTF-8 MySQL Connections');
DEFINE('LBL_STAFF_CAN_ADD_TICKETS','Staff Can Add Tickets to');
DEFINE('LBL_ALL_DEPARTMENTS','All Departments');
DEFINE('LBL_ASSIGNED_DEPARTMENTS','Assigned Departments');
DEFINE('LBL_RSTICKETS_CUSTOM_USER_LINK','Username custom link<br />Use the {userid} placeholder to display the user id.');
DEFINE('LBL_TIMEZONE','Timezone');
DEFINE('LBL_TIMEZONE_NOT_SET','Timezone Not Set');
DEFINE('LBL_TIMEZONE_CURRENT','Current Time');
DEFINE('LBL_STAFF_OPEN_TICKETS','Allow staff members to open tickets on behalf of themselves or other staff members');
DEFINE('LBL_EMAIL','E-mail');
DEFINE('LBL_GROUP','Group');
DEFINE('LBL_STAFF','Staff');
DEFINE('LBL_CUSTOMER','Customer');
DEFINE('LBL_PERMISSIONS','Permissions');
DEFINE('LBL_CAPTION','Caption');
DEFINE('LBL_TYPE','Type');
DEFINE('LBL_VALUES','Values');
DEFINE('LBL_REQUIRED','Required');
DEFINE('LBL_ACTIONS','Actions');
DEFINE('LBL_PREFIX','Prefix');
DEFINE('LBL_TICKET_ASSIGNMENT_TYPE','Ticket assignment type');
DEFINE('LBL_TICKET_GENERATION_RULE','Ticket generation rule');
DEFINE('LBL_CUSTOMER_RECEIVES','Customer receives tickets by email');
DEFINE('LBL_STAFF_RECEIVES','Staff receives tickets by email');
DEFINE('LBL_DEPARTMENT_NEW_TICKET_NOTIFY','Notify the following email addresses when a new ticket arrives (each email on a new line)');
DEFINE('LBL_DEPARTMENT_ASSIGN_NOTIFY','Notify staff members when a ticket has been assigned to them (manually)');
DEFINE('LBL_FILE_UPLOAD','Upload files enabled for');
DEFINE('LBL_FILE_UPLOAD_EXTENSIONS','Allowed extensions (each extension on a new line)<br /><b style="color: red">Please note that allowing extensions such as php to be uploaded you compromise your server security!</b>');
DEFINE('LBL_EVERYONE','Everyone');
DEFINE('LBL_REGISTERED','Registered Users Only');
DEFINE('LBL_NOBODY','Nobody');
DEFINE('LBL_YES','Yes');
DEFINE('LBL_NO','No');
DEFINE('LBL_SURE','Are you sure ?');
DEFINE('LBL_ORDERING','Ordering');

DEFINE('LBL_BULK_CHANGE','Bulk Change');
DEFINE('LBL_BULK_DELETE','Bulk Delete');
DEFINE('LBL_DELETE_SELECTED','Delete Selected');
DEFINE('LBL_PAGE','Page');
DEFINE('LBL_ASSIGN','Assign');
DEFINE('LBL_UNASSIGNED','Unassigned');
DEFINE('LBL_UNASSIGNED_DEPARTMENT','Unassigned');
DEFINE('LBL_UNCHANGED','Unchanged');
DEFINE('LBL_VIEWING_TICKET','Viewing Ticket');
DEFINE('LBL_PRINTABLE_VERSION','Printable Version');
DEFINE('LBL_PRINT','Print');
DEFINE('LBL_MOVE_TICKET','Move Ticket To ');
DEFINE('LBL_MOVING_TICKET','Moving Ticket ');
DEFINE('LBL_ADD_NEW_REPLY','Add a New Reply');
DEFINE('LBL_MESSAGES_HISTORY','Messages History');
DEFINE('LBL_WROTE','wrote:');
DEFINE('LBL_REPLIES_CLOSED','Replies are closed.');

DEFINE('LBL_HIDE_CLOSED_TICKETS','Hide closed tickets');
DEFINE('LBL_SHOW_CLOSED_TICKETS','Show closed tickets');

DEFINE('LBL_SHOW_UNASSIGNED_TICKETS','Show only unassigned tickets');
DEFINE('LBL_SHOW_ALL_TICKETS','Show all tickets');

DEFINE('LBL_CAN_ADD_TICKET','Can add ticket');
DEFINE('LBL_CAN_ADD_TICKET_USERS','Can add ticket on behalf of users');
DEFINE('LBL_CAN_ADD_TICKET_STAFF','Can add ticket on behalf of other staff members');
DEFINE('LBL_CAN_UPDATE_TICKET','Can update ticket');
DEFINE('LBL_CAN_DELETE_TICKET','Can delete ticket');
DEFINE('LBL_CAN_ANSWER_TICKET','Can add ticket replies');
DEFINE('LBL_CAN_DELETE_TICKET_REPLIES','Can delete ticket replies');
DEFINE('LBL_CAN_UPDATE_TICKET_REPLIES','Can update ticket replies');
DEFINE('LBL_CAN_ASSIGN_TICKETS','Can assign tickets');
DEFINE('LBL_CAN_CHANGE_TICKET_STATUS','Can change ticket status');
DEFINE('LBL_CAN_SEE_UNALLOCATED_TICKETS','Can see unallocated tickets');
DEFINE('LBL_CAN_SEE_OTHER_TICKETS','Can see other tickets');
DEFINE('LBL_CAN_MOVE_TICKET','Can move ticket from one department to another');

DEFINE('LBL_NO_DEPARTMENTS','There are currently no departments');
DEFINE('LBL_NO_GROUPS','There are currently no groups');
DEFINE('LBL_NO_DEPARTMENTS_STAFF_USERS','Can\'t add a new department with no available users, groups or departments.');
DEFINE('LBL_NO_CUSTOM_FIELDS','There are currently no custom fields');
DEFINE('LBL_NO_STAFF','There are currently no staff members');
DEFINE('LBL_NO_TICKETS','There are currently no tickets');
DEFINE('LBL_NO_USERS','There are currently no users');

DEFINE('LBL_MOVE_TICKET_DESCRIPTION','Please complete all required fields below in order to move this ticket from one department to another.');
DEFINE('LBL_MOVE_TICKET_WARNING','<b>Warning</b>: By moving this ticket you will lose a) any custom fields attached to it and b) the ticket code. Please make sure you know what you are doing.');
DEFINE('LBL_PLEASE_SELECT','Please select ...');
DEFINE('LBL_PREDEFINED_SEARCHES','Predefined Searches');
DEFINE('LBL_NO_PREDEFINED_SEARCHES','There are no predefined searches defined.');
DEFINE('LBL_MANAGE_SEARCHES','Manage Searches');
DEFINE('LBL_PREDEFINED_DEFAULT_SEARCH','Make this my default ticket listing when I login.');
DEFINE('LBL_PREDEFINED_SEARCH_TICKETS','Predefined Searches in Tickets');
DEFINE('LBL_PREDEFINED_SEARCH_MY_TICKETS','Predefined Searches in My Tickets');
DEFINE('LBL_SEARCH_NAME','Search Name');
DEFINE('LBL_DEFAULT_SEARCH','Default Search ?');

DEFINE('LBL_ENABLED','Enabled');
DEFINE('LBL_GENERATE_DOTS','Generate Dots');
DEFINE('LBL_GENERATE_LINES','Generate Lines');
DEFINE('LBL_CHARACTERS','Characters');
DEFINE('LBL_CASE_SENSITIVE','Case Sensitive');

DEFINE('LBL_TEXTBOX','Text box');
DEFINE('LBL_TEXTAREA','Text area');
DEFINE('LBL_SELECT_LIST','Select list');
DEFINE('LBL_MULTIPLE_SELECT_LIST','Multiple select list');
DEFINE('LBL_CHECKBOX_GROUP','Checkbox group');
DEFINE('LBL_RADIO_GROUP','Radio group');
DEFINE('LBL_CALENDAR','Calendar');
DEFINE('LBL_CALENDAR_TIME','Calendar and time');

DEFINE('LBL_BUY_PLUGIN_CRON','The <a href="http://www.rsjoomla.com/index.php/component/option,com_rshelp/task,payment.redirect/cid,12/custom_sess,{custom_sess}/" target="_blank">RStickets! - Cron Plugin</a> allows you to extend RStickets! functionality by accepting and parsing tickets sent through e-mail.
<ul>
<li><strong>Features</strong></li>
<li>Receive tickets by e-mail from all or only registered clients</li>
<li>Parse ticket replies by e-mail</li>
<li>POP3/IMAP support</li>
<li>Automatic or manual execution</li>
<li>Automatically assign tickets to a specific department</li>
</ul>
<a href="http://www.rsjoomla.com/index.php/component/option,com_rshelp/task,payment.redirect/cid,12/custom_sess,{custom_sess}/" target="_blank">Get the plugin by clicking here</a>.');

DEFINE('LBL_DESCRIPTION','Description');
DEFINE('LBL_INSTALL_PLUGIN','Upload a plugin package and install:');

DEFINE('LBL_REPLIES','replies');

// ERRORS
DEFINE('ERROR_1',"Username & password can't be blank");
DEFINE('ERROR_2',"Can't login twice");
DEFINE('ERROR_3','The username &amp; password you provided do not match.');
DEFINE('ERROR_4','There is already a department with this name or prefix. Please select a unique name for your department.');
DEFINE('ERROR_5','There is already a group with this name. Please select a unique name for your group.');
DEFINE('ERROR_6','You must select a department.');
DEFINE('ERROR_7','You must write a subject.');
DEFINE('ERROR_8','You must write a message.');
DEFINE('ERROR_9','You must write your email address.');
DEFINE('ERROR_10','You must write your full name.');
DEFINE('ERROR_11','Required fields in <b>bold</b> are mandatory.');
DEFINE('ERROR_13',"You can't delete this department because it already has tickets and/or staff members.");
DEFINE('ERROR_14',"You can't delete this group because it already has staff members.");
DEFINE('ERROR_15',"You can't delete this staff member because it already has tickets assigned.");
DEFINE('ERROR_16',"You can't delete this custom field because there are already tickets with this field configured.");
DEFINE('ERROR_17','This ticket is already closed.');
DEFINE('ERROR_18','Please type a valid email address.');
DEFINE('ERROR_19','Please specify a valid port range (1-65535).');
DEFINE('ERROR_20','Please specify the interval in minutes (1-1440).');
DEFINE('ERROR_21',"Please enter email server's address");
DEFINE('ERROR_22','Please enter the username you use to access your email');
DEFINE('ERROR_23','Please enter the password you use to access your email');
DEFINE('ERROR_24','Please enter the full name you want to show up when sending an automatic email');
DEFINE('ERROR_25','Please select at least 1 department');
DEFINE('ERROR_26','Please select an user');
DEFINE('ERROR_27','Please select a group');
DEFINE('ERROR_28','The file you tried to attach is not allowed.');
DEFINE('ERROR_29',"The autoclose checking should be at done least 10 minutes apart to ensure the server won't overload.");
DEFINE('ERROR_30','Please select another department; current source and destination departments are the same.');
DEFINE('ERROR_31','CAPTCHA should be at least 3 characters long.');
DEFINE('ERROR_32','The code you entered is invalid. Please retry.');
DEFINE('ERROR_33','File uploading has failed. Press the "Submit" button again to submit the information without uploading any files.');
DEFINE('ERROR_34','Please check that '.RST_FRONTEND_ABS_PATH.'/files/ is a directory and is writable (CHMOD 777) !');
DEFINE('ERROR_ADDTICKET','You have to login to submit a ticket.');

// SUCCESS
DEFINE('OK_1000','Your department has been successfully added.');
DEFINE('OK_1001','Your department has been modified.');
DEFINE('OK_1002','Your department has been removed.');
DEFINE('OK_1003','Your group has been successfully added.');
DEFINE('OK_1004','Your group has been modified.');
DEFINE('OK_1005','Your group has been removed.');
DEFINE('OK_1006','Your staff member has been successfully added.');
DEFINE('OK_1007','Your staff member has been modified.');
DEFINE('OK_1008','Your staff member has been removed.');
DEFINE('OK_1009','Your settings have been succesfully updated');
DEFINE('OK_1010','Your ticket has been succesfully submitted.');
DEFINE('OK_1011','Your search results are being displayed below.');
DEFINE('OK_1012','Your search filters have been removed.');
DEFINE('OK_1013','Your tickets have been updated.');
DEFINE('OK_1014','Your tickets have been removed.');
DEFINE('OK_1015','This ticket has been successfully closed.');
DEFINE('OK_1017','Your custom fields have been updated.');
DEFINE('OK_1018','Your ticket has been updated.');
DEFINE('OK_1019','Your reply has been added.');
DEFINE('OK_1020','Your ticket has been removed.');
DEFINE('OK_1021','Your reply has been removed.');
DEFINE('OK_1022','Your reply has been updated.');
DEFINE('OK_1023','Closed tickets are <strong>shown</strong>.');
DEFINE('OK_1024','Closed tickets are <strong>hidden</strong>.');
DEFINE('OK_1025','The customer has been notified.');
DEFINE('OK_1026','Only unassigned tickets are shown.');
DEFINE('OK_1027','All tickets are shown.');
DEFINE('OK_1028','Your ticket has been succesfully moved to the specified department.');
DEFINE('OK_1029','Your predefined search has been saved.');
DEFINE('OK_1030','Your predefined search has been removed.');
?>